# $Revision: 1.56.2.4 $, $Date: 2010/02/10 12:12:57 $
Summary:	Desktop manager for the Xfce Desktop Environment
Summary(pl.UTF-8):	Zarządca pulpitu dla środowiska Xfce
Name:		xfdesktop
Version:	4.4.1
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	7cbebc8e895eb19ee735e520ea48d03b
Patch0:		%{name}-locale-names.patch
Patch1:		%{name}-desktop.patch
URL:		http://www.xfce.org/
BuildRequires:	Thunar-devel >= 0.8.0
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.8.20
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libexo-devel >= 0.3.2
BuildRequires:	libtool
BuildRequires:	libxfce4mcs-devel >= %{version}
BuildRequires:	libxfcegui4-devel >= %{version}
BuildRequires:	libxml2-devel >= 1:2.6.27
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	xfce4-dev-tools >= 4.4.0
BuildRequires:	xfce4-panel-devel >= %{version}
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires:	xdg-menus
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xfdesktop contain a desktop manager for the Xfce Desktop Environment.

%description -l pl.UTF-8
xfdesktop zawiera zarządcę pulpitu dla środowiska Xfce.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

mv -f po/{pt_PT,pt}.po
mv -f po/{nb_NO,nb}.po

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--enable-desktop-icons \
	--enable-desktop-menu \
	--enable-exo \
	--enable-file-icons \
	--enable-panel-plugin \
	--enable-menueditor \
	--enable-thunarx

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xfce4/{mcs-plugins,panel-plugins,modules}/*.{la,a}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/xfce4/mcs-plugins/*.so
%attr(755,root,root) %{_libdir}/xfce4/modules/*.so
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/xfce4-menu-plugin
%dir %{_datadir}/xfce4-menueditor
%{_datadir}/xfce4-menueditor/xfce4-menueditor.ui
%docdir %{_datadir}/xfce4/doc
%{_datadir}/xfce4/doc/C/*
%lang(fr) %{_datadir}/xfce4/doc/fr/*
%{_mandir}/man1/*.1*

%dir %{_sysconfdir}/xdg/xfce4/desktop
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/desktop/menu.xml
%lang(be) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/desktop/menu.xml.be
%lang(ca) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/desktop/menu.xml.ca
%lang(cs) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/desktop/menu.xml.cs
%lang(da) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/desktop/menu.xml.da
%lang(de) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/desktop/menu.xml.de
%lang(el) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/desktop/menu.xml.el
%lang(es) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/desktop/menu.xml.es
%lang(et) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/desktop/menu.xml.et
%lang(eu) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/desktop/menu.xml.eu
%lang(fi) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/desktop/menu.xml.fi
%lang(fr) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/desktop/menu.xml.fr
%lang(he) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/desktop/menu.xml.he
%lang(hu) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/desktop/menu.xml.hu
%lang(it) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/desktop/menu.xml.it
%lang(ja) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/desktop/menu.xml.ja
%lang(ko) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/desktop/menu.xml.ko
%lang(nl) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/desktop/menu.xml.nl
%lang(pa) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/desktop/menu.xml.pa
%lang(pl) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/desktop/menu.xml.pl
%lang(pt_BR) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/desktop/menu.xml.pt_BR
%lang(ro) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/desktop/menu.xml.ro
%lang(ru) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/desktop/menu.xml.ru
%lang(sk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/desktop/menu.xml.sk
%lang(sv) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/desktop/menu.xml.sv
%lang(tr) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/desktop/menu.xml.tr
%lang(uk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/desktop/menu.xml.uk
%lang(vi) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/desktop/menu.xml.vi
%lang(zh_TW) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/desktop/menu.xml.zh_TW

%{_sysconfdir}/xdg/xfce4/desktop/xfce-registered-categories.xml
%lang(ca) %{_sysconfdir}/xdg/xfce4/desktop/xfce-registered-categories.xml.ca
%lang(cs) %{_sysconfdir}/xdg/xfce4/desktop/xfce-registered-categories.xml.cs
%lang(de) %{_sysconfdir}/xdg/xfce4/desktop/xfce-registered-categories.xml.de
%lang(el) %{_sysconfdir}/xdg/xfce4/desktop/xfce-registered-categories.xml.el
%lang(es) %{_sysconfdir}/xdg/xfce4/desktop/xfce-registered-categories.xml.es
%lang(eu) %{_sysconfdir}/xdg/xfce4/desktop/xfce-registered-categories.xml.eu
%lang(fi) %{_sysconfdir}/xdg/xfce4/desktop/xfce-registered-categories.xml.fi
%lang(fr) %{_sysconfdir}/xdg/xfce4/desktop/xfce-registered-categories.xml.fr
%lang(he) %{_sysconfdir}/xdg/xfce4/desktop/xfce-registered-categories.xml.he
%lang(hu) %{_sysconfdir}/xdg/xfce4/desktop/xfce-registered-categories.xml.hu
%lang(it) %{_sysconfdir}/xdg/xfce4/desktop/xfce-registered-categories.xml.it
%lang(ja) %{_sysconfdir}/xdg/xfce4/desktop/xfce-registered-categories.xml.ja
%lang(nl) %{_sysconfdir}/xdg/xfce4/desktop/xfce-registered-categories.xml.nl
%lang(pl) %{_sysconfdir}/xdg/xfce4/desktop/xfce-registered-categories.xml.pl
%lang(pt_BR) %{_sysconfdir}/xdg/xfce4/desktop/xfce-registered-categories.xml.pt_BR
%lang(ro) %{_sysconfdir}/xdg/xfce4/desktop/xfce-registered-categories.xml.ro
%lang(ru) %{_sysconfdir}/xdg/xfce4/desktop/xfce-registered-categories.xml.ru
%lang(sk) %{_sysconfdir}/xdg/xfce4/desktop/xfce-registered-categories.xml.sk
%lang(sv) %{_sysconfdir}/xdg/xfce4/desktop/xfce-registered-categories.xml.sv
%lang(tr) %{_sysconfdir}/xdg/xfce4/desktop/xfce-registered-categories.xml.tr
%lang(zh_CN) %{_sysconfdir}/xdg/xfce4/desktop/xfce-registered-categories.xml.zh_CN
%lang(zh_TW) %{_sysconfdir}/xdg/xfce4/desktop/xfce-registered-categories.xml.zh_TW
%{_desktopdir}/*.desktop
%{_datadir}/xfce4/backdrops
%{_datadir}/xfce4/panel-plugins/*
%{_pixmapsdir}/*
%{_iconsdir}/hicolor/*/apps/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfdesktop.spec,v $
Revision 1.56.2.4  2010/02/10 12:12:57  glen
- release 2

Revision 1.56.2.3  2007/04/19 21:08:54  megabajt
- updated to 4.4.1
- added desktop patch

Revision 1.56.2.2  2007/01/29 09:38:57  megabajt
- updated to 4.4.0, merged from HEAD

Revision 1.67  2007/01/22 18:04:51  megabajt
- updated to 4.4.0

Revision 1.66  2006/11/06 21:20:42  megabajt
- up to 4.3.99.2 (Xfce 4.4RC2)
- updated deps

Revision 1.65  2006/09/05 19:20:51  megabajt
- md5

Revision 1.64  2006/09/05 19:17:36  megabajt
- up to 4.3.99.1
- use rpm macros

Revision 1.63  2006/07/16 20:46:19  freetz
- oops, cuto/pasto

Revision 1.62  2006/07/16 18:34:24  freetz
- merged from DEVEL

Revision 1.61.2.4  2006/07/16 18:33:52  freetz
- 4.3.90.2, updated deps and file list, --as-needed support, update icon
  cache

Revision 1.61.2.3  2006/05/10 21:25:42  freetz
- require freedesktop compliant menu infrastructure

Revision 1.61.2.2  2006/05/10 20:59:48  freetz
- vfmg is not required anymore, added Thunar support, updated BR

Revision 1.61.2.1  2006/04/26 19:20:25  troll
- updated to 4.3.90.1

Revision 1.56.2.1  2006/07/05 11:23:38  havner
- 4.2.3, HEAD merge but vfmg commit
- intltoolize before glib_gettextize

Revision 1.61  2006/04/20 09:32:14  ankry
- tab

Revision 1.60  2006/04/18 20:38:34  sparky
- prepared for new vfmg

Revision 1.59  2005/11/10 06:58:20  charles
- updated to 4.2.3
- removed unnecessary -menu.patch
- updated %files

Revision 1.58  2005/05/20 18:00:44  qboosh
- lang() for xfce docs, sorted verify() flags

Revision 1.57  2005/05/20 16:17:35  koorek
- updated to 4.2.2
- BR xfce4-dev-tools
- added fr docs

Revision 1.56  2005/03/16 13:26:57  charles
- BR: gettext-devel

Revision 1.55  2005/03/16 04:32:47  koorek
- updated to 4.2.1
- more lang files

Revision 1.54  2005/01/17 18:22:50  charles
- updated to 4.2.0 final

Revision 1.53  2005/01/05 03:09:18  charles
- reverted Rs libxfce4mcs, libxfcegui4

Revision 1.52  2005/01/04 17:15:57  charles
- revert R: vfmg
- removed redundant R(post)

Revision 1.51  2005/01/04 17:02:23  charles
- proper BRs versions
- removed redundant R
- cosmetics in licence
- rel. 2 for STBR

Revision 1.50  2004/12/28 15:58:44  troll
- updated to 4.1.99.3 (4.2 RC3)

Revision 1.49  2004/12/14 13:14:51  troll
- updated to 4.1.99.2 (4.2 RC2)

Revision 1.48  2004/12/10 23:25:47  havner
- "" for env variables

Revision 1.47  2004/12/05 13:50:19  havner
- vfmg by default, rel 2

Revision 1.46  2004/11/29 09:15:05  wiget
- fix lang() tags

Revision 1.45  2004/11/27 19:28:54  havner
- rel 1

Revision 1.44  2004/11/27 19:21:10  saq
- massive attack: more BR epoch fixes

Revision 1.43  2004/11/27 18:04:29  qboosh
- missing dir

Revision 1.42  2004/11/27 17:57:03  havner
- bump vfmg req

Revision 1.41  2004/11/27 17:49:15  qboosh
- gtk+2 epoch, cleaned up files

Revision 1.40  2004/11/27 17:23:15  havner
- pl.menu in files

Revision 1.39  2004/11/27 17:17:23  havner
- filled previous buildlog

Revision 1.38  2004/11/27 17:15:39  havner
- fixed menu patch
- vfmg bcond, makeing vfmg patch

Revision 1.37  2004/11/27 16:02:44  havner
- builds, works, finishing menu patch

Revision 1.36  2004/11/27 15:45:52  havner
- merge from DEVEL, nfy

Revision 1.35  2004/09/16 10:03:26  ankry
- don't rebuild menu in %post if shouldn't, rel. 2

Revision 1.34  2004/07/19 13:10:13  qboosh
- tested, doesn't require startup-notification

Revision 1.33  2004/07/12 15:43:44  troll
- updated to 4.0.6
- fixed BRs and Rs

Revision 1.32  2004/07/08 11:21:00  qboosh
- updated locale-names patch (fix fa,pt names); release 6

Revision 1.31  2004/07/07 22:55:02  havner
- ok, I've got demension, I added -m parameter to vfmg and forgot to use it

Revision 1.30  2004/07/07 21:35:12  qboosh
- release 4

Revision 1.29  2004/07/07 21:31:02  qboosh
- fr doc dirs moved to xfce-mcs-manager (where C dirs live too)

Revision 1.28  2004/07/07 21:21:44  qboosh
- added locale-names patch, rename no->nb
- mark fr html resources with lang

Revision 1.27  2004/07/07 20:53:32  qboosh
- Requires(post): vfmg

Revision 1.26  2004/07/07 19:51:50  havner
- rel up (what's wrong with these builders?)

Revision 1.25  2004/07/07 19:39:29  havner
- package all docs

Revision 1.24  2004/07/07 16:56:06  havner
- fixed %files for pl and it menu

Revision 1.23  2004/07/07 16:39:54  havner
- menu patch

Revision 1.22  2004/07/07 15:19:48  havner
- menu generation added, needs one more patch, NFY

Revision 1.21.2.13  2004/11/27 11:40:34  havner
- don't own images dirs

Revision 1.21.2.12  2004/11/15 22:31:07  dzeus
- updated to 4.1.99.1 (4.2 RC1)

Revision 1.21.2.11  2004/11/13 20:42:28  troll
- updated to 4.1.91 (4.2 beta 2)
- proper BR: and R: versions

Revision 1.21.2.10  2004/10/08 15:09:41  troll
- updated to 4.1.90 (4.2 beta 1)

Revision 1.21.2.9  2004/08/16 21:31:08  havner
- locale-names patch
- s/fa_IR/fa/;s/pt_PT/pt/

Revision 1.21.2.8  2004/08/16 18:58:17  havner
- [mass commit] 20040816
- not tested yet

Revision 1.21.2.7  2004/08/14 23:29:51  havner
- BR: libxml2 (for menu editor)

Revision 1.21.2.6  2004/08/14 23:27:09  havner
- BR: xfce4-panel-devel

Revision 1.21.2.5  2004/08/14 23:24:49  havner
- proper version
- stricter BR
- 20040813
- some %files fixes

Revision 1.21.2.4  2004/08/07 01:34:56  havner
- url fixed

Revision 1.21.2.3  2004/08/07 01:33:03  havner
- 20040806

Revision 1.21.2.2  2004/06/22 13:22:20  jpc
- fixes from troll
- cosmetics

Revision 1.21.2.1  2004/06/16 23:49:07  jpc
- new snap 20040616
- autotoolized
- some new desktop files and icons

Revision 1.21  2004/04/18 07:37:48  ankry
- fixed src URL

Revision 1.20  2004/04/18 06:24:19  ankry
- switched to a working mirror

Revision 1.19  2004/04/16 22:16:23  troll
- updated to XFce-4.0.5
- more strict internal dependencies
- new Source0 (the old one doesn't exist anymore)

Revision 1.18  2004/03/14 20:13:29  adgor
- Some resources marked as %%lang()
- Rel++

Revision 1.17  2004/03/10 20:57:36  troll
- updated to 4.0.4

Revision 1.16  2004/01/14 22:13:30  undefine
- ac/am doesn't work.. copy config.sub only

Revision 1.15  2004/01/14 22:07:29  undefine
- ac/am, release 2

Revision 1.14  2004/01/08 23:24:59  troll
- updated to 4.0.3

Revision 1.13  2003/12/28 23:28:16  troll
- updated to 4.0.2

Revision 1.12  2003/11/14 14:38:47  troll
- updated to 4.0.1
- unified BR versions

Revision 1.11  2003/09/27 09:13:39  troll
- updated to 4.0.0

Revision 1.10  2003/09/14 15:59:07  troll
- updated to 3.99.4

Revision 1.9  2003/08/28 13:07:52  speedy
- broken mind, more coffee req.

Revision 1.8  2003/08/27 09:39:50  pascalek
- updated to 3.99.3

Revision 1.7  2003/08/12 23:54:17  ankry
- cosmetics

Revision 1.6  2003/08/01 14:55:20  qboosh
- /etc/xfce4 is in mcs-manager now

Revision 1.5  2003/07/25 08:50:47  pascalek
- updated to 3.99.2

Revision 1.4  2003/07/07 07:35:20  pascalek
- updated to 3.91.0

Revision 1.3  2003/06/18 07:46:37  qboosh
- BR: pkgconfig

Revision 1.2  2003/06/17 10:55:05  qboosh
- pl, cleanups, fixed file list

Revision 1.1  2003/06/14 20:09:46  pascalek
- initial release
